package ru.ulstu.members;

import org.springframework.web.multipart.MultipartFile;
import ru.ulstu.model.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Transient;

@Entity
public class Member extends BaseEntity {
    private String name;
    private String imageFileName;
    @Transient
    private MultipartFile imageFile;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImageFileName() {
        return imageFileName;
    }

    public void setImageFileName(String imageFileName) {
        this.imageFileName = imageFileName;
    }

    public MultipartFile getImageFile() {
        return imageFile;
    }

    public void setImageFile(MultipartFile imageFile) {
        this.imageFile = imageFile;
    }
}
